[arch-commits] CVS update of extra/gnome/meld (PKGBUILD meld.install)

Jan de Groot jgc at archlinux.org
Wed Apr 25 17:51:38 EDT 2007


    Date: Wednesday, April 25, 2007 @ 17:51:38
  Author: jgc
    Path: /home/cvs-extra/extra/gnome/meld

Modified: PKGBUILD (1.5 -> 1.6) meld.install (1.3 -> 1.4)

Undelete some files


--------------+
 PKGBUILD     |   24 ++++++++++++++++++++++++
 meld.install |   16 ++++++++++++++++
 2 files changed, 40 insertions(+)


Index: extra/gnome/meld/PKGBUILD
diff -u /dev/null extra/gnome/meld/PKGBUILD:1.6
--- /dev/null	Wed Apr 25 17:51:38 2007
+++ extra/gnome/meld/PKGBUILD	Wed Apr 25 17:51:38 2007
@@ -0,0 +1,24 @@
+# Maintainer: Mark Rosenstand <mark at borkware.net>
+pkgname=meld
+pkgver=1.1.4
+pkgrel=1
+pkgdesc="Visual diff and merge tool for GNOME"
+arch=(i686 x86_64)
+url="http://meld.sourceforge.net/"
+depends=('gnome-python')
+makedepends=('intltool' 'pkgconfig')
+install=meld.install
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/1.1/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('e780a8f67183acf7f51b13aa4a62ac85')
+
+build() {
+  cd ${startdir}/src/${pkgname}-${pkgver}
+  find . -name GNUmakefile -exec sed -i -e 's/-scrollkeeper-update.*//' {} \;
+  if [ -f omf.make ]; then
+    sed -i -e 's/-scrollkeeper-update.*//' omf.make
+  fi
+
+  make prefix=/opt/gnome || return 1
+  make prefix=/opt/gnome DESTDIR=${startdir}/pkg install
+  rm -rf ${startdir}/pkg/opt/gnome/share/doc
+}
Index: extra/gnome/meld/meld.install
diff -u /dev/null extra/gnome/meld/meld.install:1.4
--- /dev/null	Wed Apr 25 17:51:38 2007
+++ extra/gnome/meld/meld.install	Wed Apr 25 17:51:38 2007
@@ -0,0 +1,16 @@
+post_install() {
+  scrollkeeper-update -q -p var/lib/scrollkeeper
+  update-desktop-database -q
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+post_remove() {
+  post_install $1
+}
+
+op=$1
+shift
+$op $*




More information about the arch-commits mailing list